Query global hardware brands
GET /api/v1/brands/global. Edge nodes API reference.
Query global hardware brands
Authentication · API availability · Download OpenAPI
A successful response.Bad Request. The API gateway did not process the request because of invalid value of filter parameters.Unauthorized. The API gateway did not process the request because it lacks valid authentication credentials for the target resource. The request header has either no authorization details or an authorization that has been refused.Forbidden. The API gateway did not process the request because the requestor does not have edge-node level access permission for the operation or does not have access scope to the project.Internal Server Error. The API gateway experienced an unexpected condition. Specific error condition is indicated in error codes.Gateway Timeout. The API gateway did not receive a timely response from an upstream microservice it needed to communicate with in order to complete the request.An unexpected error response.
Authorizations
Bearer token for user session
Headers
User-Agent specified id to track a request
Query Parameters
Only summary of the records required
Brand name pattern to be matched.
origin of object
- ORIGIN_UNSPECIFIED: default options, which says no Operation/Invalid Operation
- ORIGIN_IMPORTED: Object imported from global enterprise.
- ORIGIN_LOCAL: Objectl created locally.
- ORIGIN_GLOBAL: Object created in global store, to use this type user should have root previlage.
- ORIGIN_APP_PROFILE_LOCAL: Object created via App profile
Available options:
ORIGIN_UNSPECIFIED, ORIGIN_IMPORTED, ORIGIN_LOCAL, ORIGIN_GLOBAL, ORIGIN_APP_PROFILE_LOCAL Brand title pattern to be matched.
Page Token
OrderBy helps in sorting the list response
Page Number
Defines the page size
Total number of pages to be fetched.
Response
A successful response.
SysBrands used when listing the available brands, if consists of various brand attributes like terse, model list and next filter.